Package org.pushingpixels.flamingo.api.common

# Interface AsynchronousLoading

All Known Implementing Classes:
  `DecoratedResizableIcon`, `IconDeckResizableIcon`, `IcoWrapperResizableIcon`, `ImageWrapperResizableIcon`

public interface AsynchronousLoading
This interface is used for asynchronously-loaded contents. When the image is loaded, the component that contains this image (`JCommandButton` for example) is notified to repaint itself.

## Method Summary

Modifier and Type
Method
Description
`void`
`addAsynchronousLoadListener(AsynchronousLoadListener l)`
Adds listener on the asynchronous loading events.
`boolean`
`isLoading()`
Returns indication whether the content is still loading.
`void`
`removeAsynchronousLoadListener(AsynchronousLoadListener l)`
Removes listener on the asynchronous loading events.

## Method Details

### addAsynchronousLoadListener

void addAsynchronousLoadListener(AsynchronousLoadListener l)
Adds listener on the asynchronous loading events.

Parameters:
  `l` - Listener to add.

### removeAsynchronousLoadListener

void removeAsynchronousLoadListener(AsynchronousLoadListener l)
Removes listener on the asynchronous loading events.

Parameters:
  `l` - Listener to remove.

### isLoading

boolean isLoading()
Returns indication whether the content is still loading.

Returns:
  `true` if the content is still loading, `false` otherwise.